Create an access token
POST https://{handle}.myshopline.com/admin/openapi/v20261201/storefront_access_tokens.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Create an access token to grant authorization for using Storefront APIs.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
storefront_access_tokenobject
The access token information.title stringThe title of the access token. Used to mark the scenario of the access token.Example:For SHOPLINE Themes
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
storefront_access_tokenobject
The access token information.created_at stringThe date and time when the access token was created. Format: ISO 8601.id longThe unique identifier for the access token.title stringThe title of the access token.access_scope stringAccess scopes, defining which APIs the returned access token is allowed to call. Multiple access scopes are separated by,.Example:unauthenticated_write_message, unauthenticated_read_messageaccess_token stringAccess token. This access token must be included in requests when calling Storefront APIs. The system will validate interface request permissions through this access token.
API Explorer
Debugger
Examples
Was this article helpful to you?